# Rally Rush: godot::ExitTrigger Class Reference

Loading...
Searching...
No Matches
godot::ExitTrigger Class Reference

Area3D that notifies the RallyRushGameMode that the player has exited the game when hit by the CarPlayer. Only if the player has found exactly 3 keys. More...

`#include <exit_trigger.hpp>`

Inheritance diagram for godot::ExitTrigger:

## Public Member Functions

virtual void | _enter_tree () override
| Connect body_entered observer.
void | body_entered (Node3D *node)
| If the entered body is a CarPlayer and the player has found 3 keys, notify the RallyRushGameMode that the player finished the game.

## Private Member Functions

| GDCLASS (ExitTrigger, Area3D)

## Static Private Member Functions

static void | _bind_methods ()
| Required to be a valid godot class.

## Detailed Description

Area3D that notifies the RallyRushGameMode that the player has exited the game when hit by the CarPlayer. Only if the player has found exactly 3 keys.

## Member Function Documentation

## _bind_methods()

void godot::ExitTrigger::_bind_methods | ( |  | ) |

staticprivate

Required to be a valid godot class.

## _enter_tree()

void godot::ExitTrigger::_enter_tree | ( |  | ) |

overridevirtual

Connect body_entered observer.

## body_entered()

void godot::ExitTrigger::body_entered | ( | Node3D * | node | ) |

If the entered body is a CarPlayer and the player has found 3 keys, notify the RallyRushGameMode that the player finished the game.

## GDCLASS()

godot::ExitTrigger::GDCLASS | ( | ExitTrigger | ,
|  | Area3D |
| ) |  |

private

The documentation for this class was generated from the following files:

- src/exit_trigger.hpp
- src/exit_trigger.cpp